<dynamic-icon src="/$/icon/glasses-bold-solar.svg">
    <meta name="description" content="Switches between light and dark modes.">
<style scoped>
:scope {
    height: 1.75em;

    &:hover {
        cursor: pointer;
    }
}
</style>
<script applied>
console.log('this is the light-dark switch!', this, Boolean(this instanceof Element))

if (this instanceof Element) {
    console.log('applied!', this, document, document.body)
    const $ = (/** @type {HTMLElement} */ (this))

    const setMode = (mode) => {
        console.log('setMode:', document.body)
        $.setAttribute('switch', mode)
        $.setAttribute('src', (mode === 'dark')
            ? '/$/icon/glasses-linear-solar.svg'
            : '/$/icon/glasses-bold-solar.svg')

        document.body?.setAttribute('theme', mode)
        localStorage.setItem('theme', mode)
    }

    const switchMode = () =>
        setMode(($.getAttribute('switch') === 'dark') ? 'light' : 'dark')

    setMode(localStorage.getItem('theme') || 'light')
    $.addEventListener('click', (e) => {
        console.log('clicked!', this)
        startViewTransition(switchMode)
    })
}
</script>
</dynamic-icon>